@echo off

set REGISTRY_KEY="hklm\software\microsoft\net framework setup\ndp\v4\full"
set REGISTRY_VALUE="Version"

REM Check for presence of key first.
reg query %REGISTRY_KEY% /v %REGISTRY_VALUE% 2>nul || (echo No theme name present! & exit /b 1)


REM query the value. pipe it through findstr in order to find the matching line that has the value. only grab token 3 and the remainder of the line. %%b is what we are interested in here.
set VERSION=
for /f "tokens=2,*" %%a in ('reg query %REGISTRY_KEY% /v %REGISTRY_VALUE% ^| findstr %REGISTRY_VALUE%') do (
    set VERSION=%%b
)

REM Possibly no value set
if not defined VERSION (echo No version present! & exit /b 1)

echo You currently have .NET Framework %VERSION% installed


pause
exit /b